org.bdgenomics.adam.rdd

# RightOuterTreeRegionJoin

###
Related Doc: package rdd

#### case class RightOuterTreeRegionJoin[T, U]()(implicit evidence$3: ClassTag[T], evidence$4: ClassTag[U]) extends RegionJoin[T, U, Option[T], U] with TreeRegionJoin[T, U, Option[T], U] with Product with Serializable

Implements a right outer region join where the left side of the join is broadcast.

Linear Supertypes
Product, Equals, TreeRegionJoin[T, U, Option[T], U], RegionJoin[T, U, Option[T], U], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RightOuterTreeRegionJoin
2. Product
3. Equals
4. TreeRegionJoin
5. RegionJoin
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RightOuterTreeRegionJoin()(implicit arg0: ClassTag[T], arg1: ClassTag[U])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def broadcastAndJoin(tree: IntervalArray[ReferenceRegion, T], joinedRDD: RDD[(ReferenceRegion, U)]): RDD[(Option[T], U)]

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

11. #### def join(broadcastTree: Broadcast[IntervalArray[ReferenceRegion, T]], joinedRDD: RDD[(ReferenceRegion, U)]): RDD[(Option[T], U)]

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### def partitionAndJoin(baseRDD: RDD[(ReferenceRegion, T)], joinedRDD: RDD[(ReferenceRegion, U)]): RDD[(Option[T], U)]

    Performs a right outer region join between two RDDs.

    Performs a right outer region join between two RDDs.

    baseRDD

      The 'left' side of the join

    joinedRDD

      The 'right' side of the join

    returns

      An RDD of pairs (Option[x], y), where the optional x value is from baseRDD, y is from joinedRDD, and the region corresponding to x overlaps the region corresponding to y. If there are no keys in the baseRDD that overlap a given key (y) from the joinedRDD, x will be None.

    Definition Classes
      RightOuterTreeRegionJoin → RegionJoin

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from TreeRegionJoin[T, U, Option[T], U]

### Inherited from RegionJoin[T, U, Option[T], U]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped